<?php
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AdminSubPiincodeTabController extends AdminController
{
    public $name = 'AdminSubPiincodeTab';

    public function __construct()
    {
        $this->bootstrap = true;
        $this->table = 'AdminSubPiincodeTab';
        $this->className = 'AdminSubPiincodeTab';
        parent::__construct();
    }

    public function renderList()
    {
        $fields_list = [
            'ocpincode' => [
                'title' => $this->l('Pincode'),
                'remove_onclick' => true,
                'width' => '150',
            ],
            'ocstatename' => [
                'title' => $this->l('State Name'),
                'remove_onclick' => true,
                'width' => '150',
            ],
            'occityname' => [
                'title' => $this->l('City Name'),
                 'remove_onclick' => true,
                 'width' => '150',
            ],
            'ocdeliverywithindays' => [
                'title' => $this->l('Delivery With In Days'),
                'remove_onclick' => true,
                'width' => '150',
            ],
            'occodavailable' => [
                'title' => $this->l('Cash On Delivery Available'),
                'remove_onclick' => true,
                'width' => '150',
            ],
        ];
        $sql = 'SELECT * FROM ' . _DB_PREFIX_ . 'ocpincodetable';
        $dataSource = Db::getInstance()->executeS($sql);
        $current_index = '?module=occheckpincodeforprestashop&controller=AdminSubPiincodeTab';
        $helper = new HelperList();
        $helper->shopLinkType = '';
        $helper->simple_header = true;
        $helper->actions = ['edit', 'delete'];
        $helper->bulk_actions = ['delete' => ['text' => $this->l('Delete selected'), 'confirm' => $this->l('Delete selected items?')]];
        $helper->show_toolbar = true;
        $helper->show_filters = true;
        $helper->module = $this;
        $helper->title = $this->l('List Pincode');
        $helper->currentIndex = $current_index;
        $helper->token = Tools::getAdminTokenLite('AdminSubPiincodeTab');
        $helper->table = $this->table;
        $helper->identifier = 'ocpincodeid';
        $helper->orderBy = 'ocpincodeid';
        $helper->orderWay = 'DESC';

        if (Tools::isSubmit('submitBulkdeleteAdminSubPiincodeTab')) {
            $selectedIds = Tools::getValue('AdminSubPiincodeTabBox');
            foreach ($selectedIds as $selectedId) {
                Db::getInstance()->delete('ocpincodetable', 'ocpincodeid = ' . (int) $selectedId . '');
            }

            return Tools::redirectAdmin($this->context->link->getAdminLink('AdminSubPiincodeTab'));
        }

        return $helper->generateList($dataSource, $fields_list);
    }

    public function displayEditLink($token, $ocpincodeid, $name = null)
    {
        $viewUrl = $this->context->link->getAdminLink('AdminocPincodeCsvFileImport') . '&edit&ocpincodeid=' . $ocpincodeid . '';

        return '<a href="' . $viewUrl . '" target="_blank">' . $this->l('Edit') . '</a>';
    }

    public function processDelete()
    {
        $ocpincodeid = Tools::getValue('ocpincodeid');
        Db::getInstance()->delete('ocpincodetable', 'ocpincodeid = ' . (int) $ocpincodeid . '');

        return Tools::redirectAdmin($this->context->link->getAdminLink('AdminSubPiincodeTab'));
    }
}
