<?php
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AdminocPincodeController extends AdminController
{
    public function __construct()
    {
        $this->bootstrap = true;
        $this->table = 'AdminocPincode';
        $this->className = 'AdminocPincode';
        parent::__construct();
    }

    public function OCIP_CommonQuery($ocpincode){
        $tablename = _DB_PREFIX_ . 'ocpincodetable';
        $cntPincode = 'SELECT count(*) as count FROM ' . _DB_PREFIX_ . 'ocpincodetable where ocpincode = ' . (int) $ocpincode . '';

        return $cntPincode;
    }

    public function renderList()
    {
        $adminControllerLink = $this->context->link->getAdminLink('AdminocPincodeSampleDownload');
        $csvfileimportcontrollerlink = $this->context->link->getAdminLink('AdminocPincodeCsvFileImport');
        $this->context->smarty->assign('ocmoduleDir', $adminControllerLink);
        if (Tools::isSubmit('ocpincodesubbtn')) {
            $ocpincode = Tools::getValue('ocpincode');
            $ocstatename = Tools::getValue('ocstatename');
            $occityname = Tools::getValue('occityname');
            $ocdeliverywithindays = Tools::getValue('ocdeliverywithindays');
            $occodavailable = Tools::getValue('occodavailable');
            $ocaddnewpincode = [
                'ocpincode' => pSQL($ocpincode),
                'ocstatename' => pSQL($ocstatename),
                'occityname' => pSQL($occityname),
                'ocdeliverywithindays' => pSQL($ocdeliverywithindays),
                'occodavailable' => pSQL($occodavailable),
            ];

            if (!Db::getInstance()->insert('ocpincodetable', $ocaddnewpincode)) {
                echo 'data not inserted.';
            } else {
                $this->confirmations[] = 'Add new pincode successfully.';
            }
        }

        if(isset($_REQUEST['ocimportcsvfile'])){
            if ($_REQUEST['ocimportcsvfile'] == 'import') {
                $file_extension = pathinfo($_FILES['import_file']['name'], PATHINFO_EXTENSION);
                if(!empty($_FILES['import_file']['name']) && $file_extension == 'csv') {
                    $totalInserted = 0;
                    $csvFile = fopen($_FILES['import_file']['tmp_name'], 'r');
                    fgetcsv($csvFile);
                    while(($csvData = fgetcsv($csvFile)) !== false) {
                        $csvData = array_map('utf8_encode', $csvData);
                        $ocpincode = trim($csvData[0]);
                        $occityname = trim($csvData[1]);
                        $ocstatename = trim($csvData[2]);
                        $ocdeliverywithindays = trim($csvData[3]);
                        $cod = trim($csvData[4]);
                        $PincodeCount = $this->OCIP_CommonQuery($ocpincode);
                        $record = Db::getInstance()->executeS($PincodeCount);
                        if($ocpincode != '' && $occityname != '' && $ocstatename != '' && $ocdeliverywithindays != '') {
                            Db::getInstance()->insert('ocpincodetable', [
                               'ocpincode' => pSQL($ocpincode),
                               'occityname' => pSQL($occityname),
                               'ocstatename' => pSQL($ocstatename),
                               'ocdeliverywithindays' => pSQL($ocdeliverywithindays),
                               'occodavailable' => pSQL($cod),
                            ]);
                            +$totalInserted++;
                        }
                    }
                    $this->confirmations[] = 'Import successfully.';
                }
            }
        }

        return $this->context->smarty->fetch(_PS_MODULE_DIR_ . 'occheckpincodeforprestashop/views/templates/admin/ocpincodeadmin.tpl');
    }
}
