<?php
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AdminocPincodeCsvFileImportController extends AdminController
{
    public function __construct()
    {
        $this->bootstrap = true;
        $this->table = 'AdminocPincodeCsvFileImport';
        $this->className = 'AdminocPincodeCsvFileImport';
        parent::__construct();
    }

    public function renderList()
    {
        $ocpincodeid = pSQL($_REQUEST['ocpincodeid']);
        if (isset($_REQUEST['ocupdatepincode'])) {
            if ($_REQUEST['ocupdatepincode'] == 'Update') {
                $ocpincode = $_REQUEST['ocpincode'];
                $ocstatename = $_REQUEST['ocstatename'];
                $occityname = $_REQUEST['occityname'];
                // $ocshippingamonut = $_REQUEST['ocshippingamonut'];
                $ocdeliverywithindays = $_REQUEST['ocdeliverywithindays'];
                $occodavailable = $_REQUEST['occodavailable'];
                $ocupdatepincode = [
                    'ocpincode' => pSQL($ocpincode),
                    'ocstatename' => pSQL($ocstatename),
                    'occityname' => pSQL($occityname),
                    // 'ocshippingamonut' => pSQL($ocshippingamonut),
                    'ocdeliverywithindays' => pSQL($ocdeliverywithindays),
                    'occodavailable' => pSQL($occodavailable),
                ];
                Db::getInstance()->update('ocpincodetable', $ocupdatepincode, '`ocpincodeid` = ' . (int) $ocpincodeid);
                $this->confirmations[] = 'Update pincode successful';
            }
        }
        $sql = 'SELECT * FROM ' . _DB_PREFIX_ . 'ocpincodetable WHERE ocpincodeid = ' . (int) $ocpincodeid . '';
        $dataSource = Db::getInstance()->executeS($sql);
        $template_name = 'oceditpincode.tpl';
        $template_path = _PS_MODULE_DIR_ . 'occheckpincodeforprestashop/views/templates/admin/' . $template_name;

        // Assign variables to the template
        $this->context->smarty->assign([
            'title' => 'Edit Pincode',
            'description' => '',
            'items' => $dataSource,
        ]);
        $content = $this->context->smarty->fetch($template_path);

        return $content;
    }
}
