/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
jQuery(document).ready(function(){
    function setCookie(cname,cvalue,exdays) {
        var d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        var expires = "expires=" + d.toGMTString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function getCookie(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for(var i = 0; i < ca.length; i++) {
                var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }

        return "";
    }

	jQuery('body').on('click','.checkpincodebtn',function(){
        var occheckpincode = jQuery('#occheckpincode').val();
        if (occheckpincode == '') {
            jQuery('.ocpincode_isempty').css('display','block');
        }else{
            jQuery('.available_pincode_popup').append('<div class="occheckpin_spinner"><img src="'+ occpipmyData.ocloaderloadgif +'"></div>');
            jQuery('.available_pincode_popup').addClass('occheckpin_loader');
             jQuery('.ocpincode_isempty').css('display','none');
            jQuery.ajax({
                url: occpipmyData.ocpincodeajaxcontrollerlink,
                method: 'POST',
                data: {
                    //action: 'getFeedbackInfo',
                    'occheckpincode': occheckpincode,
                },
                success: function(response) {
                    jQuery(".occheckpin_spinner").remove();
                    jQuery('.available_pincode_popup').removeClass('occheckpin_loader');
                    if (response == 'false') {
                        jQuery('.occheck_pincodemain').css('display','none');
                        jQuery('.ocpincode_notavailabel').css('display','block');
                        jQuery('.add-to-cart').addClass('ocatcbtndisabled');
                        jQuery('.occheckpincodemsg h3 span').html(occheckpincode);
                    }else{
                        jQuery('.ocpinavaimain').html(response);
                        jQuery('.occheckpincodemsg h3 span').html(occheckpincode);
                        jQuery('.occheck_pincodemain').css('display','none');
                        jQuery('.add-to-cart').removeClass('ocatcbtndisabled');
                    }
                }
            });
        }

		return false;
	})

    var OCCPFP_POPUP_ENADISA = occpipmyData.OCCPFP_POPUP_ENADISA;
    var OCPINCODE_POPUPAVAI_TXT = occpipmyData.OCPINCODE_POPUPAVAI_TXT;
    var OCPINCODE_POPUPNOTAVAI_TXT = occpipmyData.OCPINCODE_POPUPNOTAVAI_TXT;
    if (OCCPFP_POPUP_ENADISA == 'yes') {
        jQuery('body').on('click','.occhekcpinzipsubmit',function(){
            var occhekcpinzip = jQuery('.occhekcpinzip').val();
            if (occhekcpinzip == '') {
                jQuery('.occhekcpin_empty').css('display','block');
            }else{
                jQuery('.available_pincode_popup').append('<div class="occheckpin_spinner"><img src="'+ occpipmyData.ocloaderloadgif +'"></div>');
                jQuery('.available_pincode_popup').addClass('occheckpin_loader');
                jQuery('.occhekcpin_empty').css('display','none');
                jQuery.ajax({
                    url: occpipmyData.ocpicpopupajaxcontrollerlinks,
                    method: 'POST',
                    data: {
                        //action: 'getFeedbackInfo',
                        'occhekcpinzip': occhekcpinzip,
                    },
                    success: function(response) {
                        // console.log(response);
                         jQuery(".occheckpin_spinner").remove();
                        jQuery('.available_pincode_popup').removeClass('occheckpin_loader');
                        if (response == 'true') {
                            jQuery('.occhekcpinresponce').css('display','block');
                            jQuery('.occhekcpinresponce').html(OCPINCODE_POPUPAVAI_TXT);
                            jQuery('.add-to-cart').removeClass('ocatcbtndisabled');
                            setTimeout(function () {
                                location.reload();
                            }, 3000);
                        }
                        if (response == 'false') {
                            jQuery('.occhekcpinresponce').css('display','block');
                            jQuery('.occhekcpinresponce').html(OCPINCODE_POPUPNOTAVAI_TXT);
                            jQuery('.add-to-cart').addClass('ocatcbtndisabled');
                        }
                        
                    }
                });
            }

            return false;
        })
    }

    jQuery('body').on('click','.occhangepincode',function(){
        jQuery('.occheck_pincodemain').css('display','flex');
        jQuery('.ocpincode_notavailabel').css('display','none');
        jQuery('.ocpincode_notavailabels').css('display','none');
        jQuery('.ocavailablepincodemain').css('display','none');

        return false;
    })

    var OCCPFP_CARTBTN_SHOWPICO_WISE = occpipmyData.OCCPFP_CARTBTN_SHOWPICO_WISE;
    var OCCPFP_HIDEPOBTN_NOTAVAILIST = occpipmyData.OCCPFP_HIDEPOBTN_NOTAVAILIST;
    var OCCP_PLACEORDER_IFPINCODE_WROGTXT = occpipmyData.OCCP_PLACEORDER_IFPINCODE_WROGTXT;
    
    if (OCCPFP_CARTBTN_SHOWPICO_WISE == 'yes') {
        var ocpincoode_cookkie = getCookie("ocset_pincode");
        if (ocpincoode_cookkie == 'false') {
            jQuery('.add-to-cart').addClass("ocatcbtndisabled");
        }else{
            jQuery('.add-to-cart').removeClass("ocatcbtndisabled");
        }
        jQuery('body #add-to-cart-or-refresh .add-to-cart.ocatcbtndisabled').click(function(event) {
            event.preventDefault();
            alert('Please Add Valid Pincode');

            return false;
        });
    }
    if (OCCPFP_HIDEPOBTN_NOTAVAILIST == 'yes') {
        if (ocpincoode_cookkie == 'false') {
            jQuery('#payment-confirmation').html('<a class="btn btn-primary center-block">' + OCCP_PLACEORDER_IFPINCODE_WROGTXT + '</a>');
            jQuery('#payment-confirmation a').css('color','#ffffff');
        }
    }

    if (OCCPFP_POPUP_ENADISA == 'yes') {
        jQuery('body').on('click','.occpicipmain_close',function(e){
            e.preventDefault();
            jQuery('#occpicipmain').hide();
            jQuery('#occpicipmain_popup').hide();
            setCookie("ocpopup_cookkie", "ocpopusetp", 7);
        })
    }

    var popup_cookkie = getCookie("ocpopup_cookkie");
    if (popup_cookkie != "ocpopusetp") {
        setTimeout(function() {
            jQuery("#occpicipmain").show();
            jQuery('#occpicipmain_popup').show();
        }, 1000);
    }
})