{*
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
<div class='panel'>
	<div class="panel-heading">{l s='Add New Pincode' mod='occheckpincodeforprestashop'}</div>
		<form method="post" id="ocnewpincodeform" class="form-horizontal">
			<div class="form-wrapper">
		   		<div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='Pincode' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<input type="text" name="ocpincode" id="ocpincode" required>
			           	<div class="ocrequierdmsg"></div>
			       	</div>
			    </div>
			    <div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='State Name' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<input type="text" name="ocstatename" id="ocstatename" required>
			           	<div class="ocreqocstatenamemsg"></div>
			       	</div>
			    </div>
			    <div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='City Name' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<input type="text" name="occityname" id="occityname" required>
			           	<div class="ocreqoccitynamemsg"></div>
			       	</div>
			    </div>
			    {*<div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='Shipping Amount' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<input type="text" name="ocshippingamonut" id="ocshippingamonut" required>
			           	<div class="ocreqocshippingamonutmsg"></div>
			       	</div>
			    </div>*}
			    <div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='Delivery within days' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<input type="text" name="ocdeliverywithindays" id="ocdeliverywithindays" required>
			           	<div class="ocreqocdeliverywithindaysmsg"></div>
			       	</div>
			    </div>
			    <div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='Cash on Delivery Available' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			       		<span class="switch prestashop-switch fixed-width-lg">
				            <input class="yes" type="radio" name="occodavailable" id="ocpincodecod_on" value="1" required>
				            <label for="ocpincodecod_on" class="radioCheck">{l s='Yes' mod='occheckpincodeforprestashop'}</label>
				            <input class="no" type="radio" name="occodavailable" id="ocpincodecod_off" value="0" checked required>
				            <label for="ocpincodecod_off" class="radioCheck">{l s='No' mod='occheckpincodeforprestashop'}</label>
				            <a class="slide-button btn"></a>
			            </span>
			       	</div>
			    </div>
			</div>
			<div class="panel-footer">
			   	<input type="submit" name="ocpincodesubbtn" class="ocpincodesubbtn btn btn-primary pull-right" value="Add Pincode">
			</div>
		</form>
		<div class="ocpincode_success_msg"></div>
    </div>
    <div class='panel'>
		<div class="panel-heading">{l s='Bulk Import Post Codes' mod='occheckpincodeforprestashop'}</div>
		<form method="post" enctype='multipart/form-data' class="form-horizontal">
			<div class="form-wrapper">
				<div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='Import pincode csv' mod='occheckpincodeforprestashop'}</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<div class="col-lg-4"><input type="file" name="import_file" required="" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"></div>
			           	<div><input type="submit" name="ocimportcsvfile" value="import" class="btn btn-primary"></div>
                        {*<a href="{$csvfileimportlink}" class="btn btn-primary">Import</a>*}
			       	</div>
			    </div>
				<div class="form-group">
			        <div class="control-label col-lg-3">
			            <label class="labelbutton">{l s='Download sample file' mod='occheckpincodeforprestashop'}Download sample file</label>
			        </div>
			       	<div class="col-lg-9" >
			           	<a class="btn btn-primary" href="{$ocmoduleDir|escape:'htmlall':'UTF-8'}" download='sample.csv' class="ocip_demo_file">Download sample file</a>
	                    <p class="description">This is the sample file of pincodes for csv import.</p>
			       	</div>
			    </div>
			</div>
		</form>
	</div>
</div>
